using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.IO;
using System.Diagnostics;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.AppStyling;
using System.Collections;
using Infragistics.Win.UltraWinScrollBar;
using Infragistics.Win.UltraWinProgressBar;

namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {            
            InitializeComponent();
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            // Set grid's DataSource
            dt1 = DummyDataCreator.GetData(100, new Type[] {typeof(int), typeof(string)});
            
            dt1.TableName = "Band 0";
            
            this.ultraGrid1.SetDataBinding(dt1, null);
            this.ultraCombo1.SetDataBinding(dt1, null);
            this.ultraCombo1.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.Suggest;
            this.ultraCombo1.ValueMember = "Int32 1";
            this.ultraCombo1.DisplayMember = "String 1";
        }

        private void FixData()
        {
            foreach (DataRow row in dt1.Rows)
            {
                row["Int32 1"] = DummyDataCreator.RandomInt(0, 2);
            }

            dt1.AcceptChanges();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;

            band.Columns["Int32 1"].AutoCompleteMode = Infragistics.Win.AutoCompleteMode.Suggest;
            band.Columns["Int32 1"].EditorControl = this.ultraCombo1;
        }
     
    }   
}


